|  | Home · All Classes · Modules

# QStyleOptionTabWidgetFrameV2 Class Reference
[QtGui module]

The QStyleOptionTabWidgetFrameV2 class is used to describe the parameters for drawing the frame around a tab widget. More...

Inherits QStyleOptionTabWidgetFrame.

### Types

- enum StyleOptionVersion { Version }

### Methods

- __init__ (self)
- __init__ (self, QStyleOptionTabWidgetFrameV2)
- __init__ (self, QStyleOptionTabWidgetFrame)

### Members

- QRect selectedTabRect
- QRect tabBarRect

## Detailed Description

The QStyleOptionTabWidgetFrameV2 class is used to describe the parameters for drawing the frame around a tab widget.

QStyleOptionTabWidgetFrameV2 contains all the information that QStyle functions need to draw the frame around QTabWidget.

For performance reasons, the access to the member variables is direct (i.e., using the `.` or `->` operator). This low-level feel makes the structures straightforward to use and emphasizes that these are simply parameters used by the style functions.

For an example demonstrating how style options can be used, see the Styles example.

See also QStyleOption and QTabWidget.

## Type Documentation

### QStyleOptionTabWidgetFrameV2.StyleOptionVersion

This enum is used to hold information about the version of the style option, and is defined for each QStyleOption subclass.

Constant | Value | Description
--- | --- | ---
`QStyleOptionTabWidgetFrameV2.Version` | `2` | 2

The version is used by QStyleOption subclasses to implement extensions without breaking compatibility. If you use qstyleoption_cast(), you normally do not need to check it.

See also StyleOptionType.

## Method Documentation

### QStyleOptionTabWidgetFrameV2.__init__ (self)

Constructs a QStyleOptionTabWidgetFrameV2, initializing the members variables to their default values.

### QStyleOptionTabWidgetFrameV2.__init__ (self, QStyleOptionTabWidgetFrameV2)

Constructs a QStyleOptionTabWidgetFrameV2 copy of the other style option.

If the other style option's version is 1, the new style option's selectedTabRect and tabBarRect will contain null rects

See also version.

### QStyleOptionTabWidgetFrameV2.__init__ (self, QStyleOptionTabWidgetFrame)

Constructs a QStyleOptionTabWidgetFrameV2 copy of the other style option.

If the other style option's version is 1, the new style option's selectedTabRect and tabBarRect will contain null rects

See also version.

## Member Documentation

### QRect selectedTabRect

This variable holds the rectangle containing the selected tab.

This rectangle is contained within the tabBarRect. The default value is a null rectangle, i.e. a rectangle with both the width and the height set to 0.

### QRect tabBarRect

This variable holds the rectangle containing all the tabs.

The default value is a null rectangle, i.e. a rectangle with both the width and the height set to 0.